ReflectionMethod::isPrivate
ReflectionMethod::isPublic
ReflectionMethod
PHP Manual

# ReflectionMethod::isProtected

(PHP 5)

ReflectionMethod::isProtected — Checks if method is protected

### Description

public bool ReflectionMethod::isProtected ( void )

Checks if the method is protected.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the method is protected, otherwise `FALSE`

### See Also

- ReflectionMethod::isPrivate - Checks if method is private

ReflectionMethod::isPrivate
ReflectionMethod::isPublic
ReflectionMethod
PHP Manual